import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { ApiChatService } from '../services/api-chat.service';
import * as vars from "../var/api";


@Component({
  selector: 'app-send-post',
  templateUrl: './send-post.component.html',
  styleUrls: ['./send-post.component.css']
})
export class SendPostComponent implements OnInit {

  progress: number;
  message: string;
  filename: string[] = [];

  constructor(
    public apiChatService: ApiChatService
    ) {
  }




  sendPost(text: string) {
    var threadId = vars.displayed_thread;
    this.apiChatService.sendPostToApi(text, this.filename, threadId).subscribe();
    this.message = '0';
    this.filename = [];
    alert("Сообщение отправлено.");

  }


   sendPic(event: any) {
     this.apiChatService.sendpic(event.target.files[0]).subscribe(
      response => {
        response = response.value.toString();
        this.filename.push(response);
        vars.showAlert("Картинка " + response + " добавлена к посту!", "#696116")
    });
  }

  ngOnInit(): void {
  }

}
